import 'package:click_nfse/click_nfse.dart';

void main() {
  final docJson =
      '''{
    "parametrizacao": {
        "sandbox": true,
        "numeroLote": 13,
        "layoutProvedor": 0,
        "codigoMunicipio": 3303807,
        "nomeMunicipio": "PARATI",
        "ufMunicipio": "RJ",
        "usuario": "17996960000156",
        "senha": "1",
        "cnpjEmitente": "17996960000156",
        "imEmitente": "17996960000156",
        "nomeEmitente": "SUSELEI APARECIDA BECK"
    },
    "nfse": {
        "identificacaoRps": {
            "numero": 3359,
            "competencia": "2023-10-24 00:00:00"
        },
        "prestador": {
            "optanteSN": 2,
            "incentivadorCultural": 2,
            "cnpj": "01001001000113",
            "inscricaoMunicipal": "15000"
        },
        "tomador": {
            "tipo": 2,
            "cnpjCpf": "40493772000127",
            "inscricaoEstadual": "123",
            "razaoSocial": "EMPRESA TESTE",
            "logradouro": "rua",
            "numero": 123,
            "bairro": "CENTRO",
            "codigoMunicipio": 3303807,
            "cep": "23970000",
            "email": "email@teste.com.br"
        },
        "servico": {
            "itemListaServico": "01.05",
            "codigoCnae": "7732201",
            "codigoTributacaoMunicipio": "14.02",
            "codigoMunicipio": 3504800,
            "codigoPais": 1058,
            "exigibilidadeISS": 1,
            "municipioIncidencia": 3504800,
            "ufPrestacao": "RJ"
        },
        "itens": [
            {
                "descricao": "PLANO MENSAL - DE 28/07/2023 À 27/08/2023",
                "quantidade": 1.0,
                "valorUnitario": 100.0,
                "aliquota": 2.0,
                "descontoIncondicionado": 0.0
            },            {
                "descricao": "SISTEMA POS ANDROID",
                "quantidade": 3.0,
                "valorUnitario": 15.0,
                "aliquota": 2.0,
                "descontoIncondicionado": 0.0
            }

        ]
    }
}''';

  final doc = DocumentoModel.fromJson(docJson);
  doc.validate();

  print(doc.nfse!.toJson());
  print(doc.nfse!.toIni());
}
