class ValidatorException implements Exception {
  List<String> errors = [];
  final String message;
  final int statusHttpCode;
  ValidatorException(this.message, [this.statusHttpCode = 400]);

  void addError(String text) {
    errors.add(text);
  }

  bool get hasError => errors.isNotEmpty;

  @override
  String toString() {
    if (errors.isEmpty) return '';

    var ret = '';
    for (var element in errors) {
      ret += '$element, ';
    }
    return ret.substring(0, ret.length - 2);
  }
}
